# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class BaseEventEntry.Visibility

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.extensions.BaseEventEntry.Visibility

All Implemented Interfaces:
  Extension

Enclosing class:
  BaseEventEntry<E extends BaseEventEntry<E>>

    public static class BaseEventEntry.Visibility

extends ValueConstruct

Defines the base set of values for event visibility. Similar to CLASS in RFC 2445.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static BaseEventEntry.Visibility` `CONFIDENTIAL`
`static java.lang.String` `CONFIDENTIAL_VALUE`
`static BaseEventEntry.Visibility` `DEFAULT`
`static java.lang.String` `DEFAULT_VALUE`
`static BaseEventEntry.Visibility` `PRIVATE`
`static java.lang.String` `PRIVATE_VALUE`
`static BaseEventEntry.Visibility` `PUBLIC`
`static java.lang.String` `PUBLIC_VALUE`

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`BaseEventEntry.Visibility()`
`BaseEventEntry.Visibility(java.lang.String value)`

Method Summary
`static ExtensionDescription` `getDefaultDescription()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_VALUE

    public static final java.lang.String DEFAULT_VALUE

See Also:
  Constant Field Values

### PUBLIC_VALUE

    public static final java.lang.String PUBLIC_VALUE

See Also:
  Constant Field Values

### CONFIDENTIAL_VALUE

    public static final java.lang.String CONFIDENTIAL_VALUE

See Also:
  Constant Field Values

### PRIVATE_VALUE

    public static final java.lang.String PRIVATE_VALUE

See Also:
  Constant Field Values

### DEFAULT

    public static final BaseEventEntry.Visibility DEFAULT

### PUBLIC

    public static final BaseEventEntry.Visibility PUBLIC

### CONFIDENTIAL

    public static final BaseEventEntry.Visibility CONFIDENTIAL

### PRIVATE

    public static final BaseEventEntry.Visibility PRIVATE

Constructor Detail

### BaseEventEntry.Visibility

    public BaseEventEntry.Visibility()

### BaseEventEntry.Visibility

    public BaseEventEntry.Visibility(java.lang.String value)

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()